# Eigene Wallboard Komponenten erstellen

## 1. Komponente generieren

`ng g c NEUE-KOMPONENTE` in diesem Verzeichnis ausführen

## 2. Komponente als Widget hinzufügen

Öffne `app/widgets/widgets.component.html` und füge eine Zeile nach dem Schema: 

`<app-NEUE-KOMPONENTE [resizeEvent]="resizeEvent" [widget]="widget" *ngIf="widget.type === 'NEUE-KOMPONENTE'"></app-NEUE-KOMPONENTE>`

## 3. Komponente designen

Du kannst nun die Komponente nach belieben designen und gestalten.

## 4. Angular Rebuild

Zum Abschluss musst du das Angular Projekt neubauen und schon kannst du die Komponente im Wallboard verwenden


# Client

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 10.1.3.

## Development server

Run `ng serve` for a dev server. Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Build

Run `ng build` to build the project. The build artifacts will be stored in the `dist/` directory. Use the `--prod` flag for a production build.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI README](https://github.com/angular/angular-cli/blob/master/README.md).
