import { Component, OnInit } from '@angular/core';
import { ALARMiatorService } from '../services/alarmiator.service';

@Component({
  selector: 'app-assets-maintenance',
  templateUrl: './assets-maintenance.component.html',
  styleUrls: ['./assets-maintenance.component.css']
})
export class AssetsMaintenanceComponent implements OnInit {

  displayedColumns: string[] = ['asset_name', 'nextMaintenance', "role"];
  assetList = [];
  constructor(
    private alarmiatorService: ALARMiatorService,
  ) { 
    this.alarmiatorService.getAssetsMaintenance().subscribe( (assets) => { 
      console.log(assets);
      this.assetList = assets;

    })

  }

  ngOnInit(): void {
  }

}
