import { Component, OnInit } from '@angular/core';
import { ALARMiatorService } from '../services/alarmiator.service';

@Component({
  selector: 'app-error',
  templateUrl: './error.component.html',
  styleUrls: ['./error.component.css']
})
export class ErrorComponent implements OnInit {

  public error;

  constructor(
    private alarmiatorService: ALARMiatorService,
  ) { }

  ngOnInit(): void {
    this.alarmiatorService.getDisconnect().subscribe( (disconnect) => { 
      this.error = disconnect;
    })
  }

}
