import { Component, OnInit } from '@angular/core';
import { ALARMiatorService } from '../services/alarmiator.service';

@Component({
  selector: 'app-operation-message',
  templateUrl: './operation-message.component.html',
  styleUrls: ['./operation-message.component.css']
})
export class OperationMessageComponent implements OnInit {

  public message:string;

  constructor(
      private alarmiatorService: ALARMiatorService
    ) {

    this.alarmiatorService.getOperations().subscribe( (operation) => { 
      var operationObject = JSON.parse(JSON.stringify(operation));
      if (operationObject.message != null && operationObject.message != undefined) {
        this.message = operationObject.message.split('\n');
        console.log("hi",this.message);
      }

    })
    
  }

  ngOnInit(): void {

  }

}
