const SqlLite = require('sqlite3');
const md5 = require('md5');

var db = new SqlLite.Database('../store/coredatabase.db', (err) => {
    if (err) {
        console.log('DATABASEMANAGER | Could not connect to database', err);
        console.log('DATABASEMANAGER | Could not reset Password', err);
    } else {
        console.log('DATABASEMANAGER | Connected to core database');
        let password = 'admin';
        let query = "UPDATE users SET startPassword = ?, startPasswordHash = ?, password = ? WHERE username = 'admin'";
        db.run(query,
            [
                password,
                md5(password),
                md5(password)
            ],
            function (err) {
                if (err) {
                    console.log('DATABASEMANAGER | Error resetting admin password: ' + err.message);
                } else {
                    console.log('DATABASEMANAGER | Successfully reseted password for admin to "admin"');
                    
                }
            });
    }
})