
const { BrowserWindow, app } = require('electron')
require('./app.js')

let mainWindow = null

function main() {
  // Electron Stuff
  // Hide Menu for all windows
  app.on('browser-window-created',function(e,window) {
    window.setMenu(null);
  });

  mainWindow = new BrowserWindow();
  mainWindow.setIcon(__dirname + '/public/assets/appIcon.png');
  mainWindow.setMenu(null);
  mainWindow.maximize();
  mainWindow.loadURL(`http://localhost:`+global.appPort);
  mainWindow.on('close', event => {
    mainWindow = null
  });
}

app.on('ready', main)