/**
 * Migration Coredatabase
 * 
 * @autor Stefan Bauer
 * @description Adds a new column "guid" to table operationsStore
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {

    queryInterface.describeTable("operationsStore")
  .then(tableDefinition => {

    if (tableDefinition.guid) return Promise.resolve();
      return queryInterface.addColumn("operationsStore","guid",{
        type: Sequelize.TEXT,
        })
    });
  },

  down: async (queryInterface) => {
    await queryInterface.removeColumn("operationsStore","guid");
  }
};
