/**
 * Migration Coredatabase
 * 
 * @autor Stefan Bauer
 * @description Renames columns guid in table operationsStore to uuid
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {

    queryInterface.describeTable("operationsStore")
  .then(tableDefinition => {

    if (tableDefinition.uuid) return Promise.resolve();
      return queryInterface.renameColumn("operationsStore","guid","uuid");
    });
  },

  down: async (queryInterface) => {
    await queryInterface.renameColumn("operationsStore","uuid","guid");
  }
};
