/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description Adds a new table xt_basedata_alarmings to coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.createTable(
      'xt_basedata_alarmings',
      {
        basedataId: {
          type: Sequelize.INTEGER,
          allowNull: false
        },
        pluginNamespace: {
          type: Sequelize.STRING,
          allowNull: false
        }
      });
  },

  down: async (queryInterface) => {
    await queryInterface.dropTable("xt_basedata_alarmings");
  }
};
