/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table users_groups in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.bulkInsert('users_groups', 
      [
        {
          id: 6, 
          title: 'Berichtswesen', 
          isSystemGroup: 1, 
          description: 'Zugriff auf das zentrale Berichtswesen', 
          grantnamespace: 'reporting'
        },
        {
          id: 7, 
          title: 'Ausbildungsverwaltung', 
          isSystemGroup: 1, 
          description: 'Zugriff auf den Bereich Trainings / Ausbildung', 
          grantnamespace: 'training'
        }

      ]
    );
  }

};