/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table users_groups in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.bulkInsert('users_groups', 
      [
        {
          id: 8, 
          title: 'Atemschutzverwaltung', 
          isSystemGroup: 1, 
          description: 'Zugriff auf das Modul Atemschutzverwaltung', 
          grantnamespace: 'respiratoryequipment'
        }
      ]
    );
  }

};