/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table eventsStore in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.bulkInsert('eventsStore', 
      [
        { 
          eventname: 'event_katsys_simulate_alarm', 
          ownermodule: 'katsys', 
          payloadType: 'multiline'
        }
      ]
    );
  }

};