/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description Adds a new table altertrulesGroupsStore to coredatabase
 * 
 */



'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.changeColumn(
      'alertrulesGroupsStore',
      'lastChange', {
        type: Sequelize.DATE,
        defaultValue: Sequelize.literal('CURRENT_TIMESTAMP')
      });
  }
};