/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table eventsStore in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.bulkInsert('qualifications', 
      [
        { 
          name: 'Atemschutz', 
          shortName: 'AGT', 
          timeLimited: 1
        },
        { 
          name: 'Gruppenführer', 
          shortName: 'GF',
          timeLimited: 0
        },
        { 
          name: 'Maschinist Drehleiter', 
          shortName: 'DLK',
          timeLimited: 0
        },
        { 
          name: 'Zugführer', 
          shortName: 'ZF',
          timeLimited: 0
        }
      ]
    );
  }

};