/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table wallboardsStore in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.bulkInsert('wallboardsStore', 
      [
        { 
          name: 'Standard', 
          namesShownAs: 'lastname_firstname', 
          type: 'both',
          isDefault: 1,
          state: 1
        }
      ]
    );
  }

};