/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstuehler
 * @description Fixes values for alarmingByUser in table pluginstore
 * 
 */


'use strict';

const sequelize = require('sequelize');
const { Sequelize } = require('sequelize');


module.exports = {
  up: async (queryInterface) => {
    // Set all rows alarmingByUser = 0 to have a defined state
    var [results, metadata] = await queryInterface.sequelize.query("UPDATE pluginstore SET alarmingByUser = 0");
    // Now set alarmingByUser = 1 for only the selected plugin namespaces
    var [results, metadata] = await queryInterface.sequelize.query("UPDATE pluginstore SET alarmingByUser = 1 WHERE namespace = 'sms77io'");
    var [results, metadata] = await queryInterface.sequelize.query("UPDATE pluginstore SET alarmingByUser = 1 WHERE namespace = 'sendemail'");
    var [results, metadata] = await queryInterface.sequelize.query("UPDATE pluginstore SET alarmingByUser = 1 WHERE namespace = 'alarmiatormobile'");
    var [results, metadata] = await queryInterface.sequelize.query("UPDATE pluginstore SET alarmingByUser = 1 WHERE namespace = 'fcm'");
  },
};
