/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description Removes unneeded columns from assets_goods_receipts table
 *  
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.removeColumn("assets_goods_receipts", "deliveryNotesNumber");
    await queryInterface.removeColumn("assets_goods_receipts", "productionUnit");
    await queryInterface.removeColumn("assets_goods_receipts", "productionUnitCheckDone");
    await queryInterface.removeColumn("assets_goods_receipts", "productionUnit");
  }
};