/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description Changes FieldType of field plain and html in table emailTemplatesStore at coredatabase
 * 
 */

 'use strict';

 const { Sequelize } = require('sequelize');
 
 module.exports = {
   up: async (queryInterface) => {
     await queryInterface.changeColumn(
       'emailTemplatesStore', 'html', {
            type: Sequelize.TEXT,
            unique: false,
            allowNull: true
          }
       );
       await queryInterface.changeColumn(
        'emailTemplatesStore', 'plain', {
             type: Sequelize.TEXT,
             unique: false,
             allowNull: true
           }
        );
   }
   
 };
