
class admin {
  constructor(alogger) {
    // always initialize all instance properties
    this.logger = alogger;
  }

  getExternalIp(req, res, callback) {
    this.logger.debug('MODELS-ADMIN | Reading external IP');
    let query = "SELECT *, Cast ((JulianDay('now') - JulianDay(lastupdate)) * 24 * 60 * 60 As Integer) AS timesinceupdate FROM configuration WHERE keyword = 'externalip'";
    global.coreDb.all(query, [], (err, rows) => {
      if (err) {
        this.logger.error('MODELS-ADMIN | Error loading external ip address: ' + err.message);
        return null;
      }
      this.logger.debug('MODELS-ADMIN | read external ip ');
      return callback(req, res, rows);
    });
  }


}



// export the class
module.exports = admin;