const Auth = require('../../../../../models/auth');
const GearState = require('../../../../../models/gearstate');

module.exports = {
   
    getCurrentGearStates(request, response) {
        const username = request.swagger.params.username.value;
        const passwordMd5 = request.swagger.params.passwordhash.value;
        
        // console.log('API | getCurrentGearState');

        if ((username.length > 0) && (passwordMd5.length > 0)) {
            var auth = new Auth(global.logger);
            auth.authenticateUserMD5(username, passwordMd5, (success, row) => {
                if (success) {

                    var gearState = new GearState(global.logger);
                    gearState.getCurrentGearStatesList( (gearstates) => {
                        response.json(
                            {
                                success: 1,
                                gearstates: gearstates
                            });
                    })
                } else {
                    response.status(401).send('not authenticated.');
                }
            });
        } else {
            response.status(401).send('not authenticated');
        }
    },
   
}