// code in this file seams to be obsolete because it is not used anywhere.
// It uses the old MySQL-database and is not working currently.
// I leave it here because of possible reuse in other context in future.

module.exports = {
    getDevicesListData: (req, res) => {
        req.app.logger.debug('ROUTES-ALERTDEVICES | loading alertdevices page');
        // let query = "SELECT * FROM `alertdevices` ORDER BY id ASC"; // query database to get all the users
        let query = "SELECT " + 
                        "alertdevices.*, " +
                        "basedata.firstname, " +
                        "basedata.lastname, " +
                        "basedata.id AS basedataid " +
                    "FROM `alertdevices` " +
                    "INNER JOIN users ON " +
                        "alertdevices.userid = users.id " +
                    "INNER JOIN basedata ON " +
                        "basedata.id = users.basedataid " +
                    "ORDER BY alertdevices.id ASC;";

        // execute query
        db.query(query, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-ALERTDEVICES | error loading alertdevices');
                res.status(500).send();  // send empty response with 500 status code
            } else {
                res.json({ data: result })
            }
        });
    },
    getDevicesList: (req, res) => {
        res.render('admin/devices.ejs', {
            title: 'ALARMiator | Smartphones',
            navarea: 'admin',
            avatarpath: req.session.avatar,
            name: req.session.name,
            session: req.session,
            organizationname: req.session.organization,
        });
    },
    addDevicePage: (req, res) => {

        let usersQuery = "SELECT " +
                            "users.*, " +
                            "basedata.firstname, " +
                            "basedata.lastname, " +
                            "basedata.id AS basedataid " +
                         " FROM `users` " +
                         " INNER JOIN basedata ON basedata.id = users.basedataid;";

        // execute query
        db.query(usersQuery, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-ALERTDEVICES | error loading users list for alertdevices page');
                res.redirect('/admin/dashboard/devices/list');
            }
            console.log(JSON.stringify(result));
            res.render('admin/devices_add.ejs', {
                title: 'ALARMiator',
                navarea: 'admin',
                avatarpath: req.session.avatar,
                name: req.session.name,
                organizationname: req.session.organization,
                session: req.session,
                users: result,
                message: ''
            });
        });
    },
    addDevice: (req, res) => {

        let message = '';
        let fcmtoken = req.body.fcmtoken;
        let userid = req.body.userid;
        let devicename = req.body.devicename;
        let state = req.body.state;
        let phonenumber = req.body.phonenumber;

        let fcmtokenQuery = "SELECT * FROM `alertdevices` WHERE fcmtoken = "  + db.escape(fcmtoken);

        db.query(fcmtokenQuery, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-ALERTDEVICES | error loading alertdevices with fcmtoken ' + fcmtoken + ' from database');
                return res.status(500).send(err);
            }
            if (result.length > 0) {
                message = 'Token existiert bereits';
                res.render('admin/devices_add.ejs', {
                    message,
                    navarea: 'admin',
                    avatarpath: req.session.avatar,
                    name: req.session.name,
                    session: req.session,
                    title: 'ALARMiator | Neues Alarmierungsgerät'
                });
            } else {
                
                // send the user's details to the database
                let query = "INSERT INTO `alertdevices` (fcmtoken, userid, devicename, state, phonenumber) " +
                            "VALUES (" +  + db.escape(fcmtoken) + ", " + db.escape(userid) + ", " + db.escape(devicename) + ", " + db.escape(state) + ", " + db.escape(phonenumber) + ")";
                db.query(query, (err, result) => {
                    if (err) {
                        req.app.logger.error('ROUTES-ALERTDEVICES | error inserting alertdevice to database');
                        return res.status(500).send(err);
                    }
                    res.redirect('/admin/devices/list');
                });
            }
        });
    },
    editDevicePage: (req, res) => {
        let deviceId = req.params.id;
        let query = "SELECT * FROM `alertdevices` WHERE id = '" + deviceId + "' ";
        db.query(query, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-ALERTDEVICES | error loading alertdevice with id ' + deviceId + ' from database');
                return res.status(500).send(err);
            }
            let deviceResult = result;
            let usersQuery = "SELECT " +
                            "users.*, " +
                            "basedata.firstname, " +
                            "basedata.lastname, " +
                            "basedata.id AS basedataid " +
                         " FROM `users` " +
                         " INNER JOIN basedata ON basedata.id = users.basedataid;";

            db.query(usersQuery, (err, result) => {
                if (err) {
                    req.app.logger.error('ROUTES-ALERTDEVICES | error loading users for edit alertdevices page');
                    res.redirect('/admin/dashboard/devices/list');
                }
                res.render('admin/devices_edit.ejs', {
                    title: 'Edit  device',
                    navarea: 'admin',
                    avatarpath: req.session.avatar,
                    name: req.session.name,
                    organizationname: req.session.organization,
                    session: req.session,
                    device: deviceResult[0],
                    users: result,
                    message: ''
                });
            });

            
        });
    },
    editDevice: (req, res) => {
        let deviceId = req.body.id;
        let fcmtoken = req.body.fcmtoken;
        let userid = req.body.userid;
        let devicename = req.body.devicename;
        let phonenumber = req.body.phonenumber;
        let state = req.body.state;

        let query = "UPDATE `alertdevices` SET `fcmtoken` = '" + fcmtoken + "', `userid` = " + userid + ", `devicename` = '" + devicename + "', `state` = '" + state + "', `phonenumber` = '" + phonenumber + "' WHERE `alertdevices`.`id` = '" + deviceId + "'";
        db.query(query, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-ALERTDEVICES | error updating alertdevice with id ' + deviceId + ' in database');
                return res.status(500).send(err);
            }
            res.redirect('/admin/devices/list');
        });
    },
    deleteDevice: (req, res) => {
        let deviceId = req.params.id;
        let deleteDeviceQuery = 'DELETE FROM alertdevices WHERE id = "' + deviceId + '"';
        db.query(deleteDeviceQuery, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-ALERTDEVICES | error deleting alertdevice with id ' + deviceId + ' in database');
                return res.status(500).send(err);
            }
            res.redirect('/admin/devices/list');
        });
    }
};