const Configuration = require('../../models/configuration');

module.exports = {
    serverConfigPage: (req, res) => {
        req.app.logger.debug('ROUTES-ALERTDEVICES | loading server config page');
        var configuration = new Configuration(req.app.logger);
        configuration.getAllConfigurations((rowsConfiguration) => {
            res.render('admin/serverconfig.ejs', {
                title: 'ALARMiator | Smartphones',
                navarea: 'admin',
                avatarpath: req.session.avatar,
                name: req.session.name,
                organizationname: req.session.organization,
                session: req.session,
                configuration: rowsConfiguration
            });
        })
    },
    upateServerConfig: (req, res) => {
        req.app.logger.debug('ROUTES-ALERTDEVICES | updating server config');
        var configuration = new Configuration(req.app.logger);
        configuration.updateValuesForKeyword(req.body, (successUpdate) => {
            if (successUpdate) {
                console.log('success updated');
                // Successfully updated
                res.redirect('/admin/serverconfig?edit=serverconfig');
            } else {
                console.log('error updating.');
                // Error updating
                res.redirect('/admin/serverconfig');
            }
        });
    }
};