const users = require('../../models/users');
let bdata = require('../../models/basedata');

module.exports = {
    getBaseDataDashboard: (req, res) => {
        let userhelper = new users(req.app.logger);
        let bdatahelper = new bdata(req.app.logger);
        req.app.logger.info('UI | Rendering Basedata Dashboard');
        bdatahelper.getBaseDataStatisticsStaff((bdataStatistics) => {
            bdatahelper.getBaseDataStaffCount((bdataStaffCount) => {
                bdatahelper.getBaseDataStaffCountActive((bdataStaffCountActive) => {
                    bdatahelper.getBaseDataStatisticsBirthdaylist((birthdayList) => {
                        res.render('basedata/dashboard', {
                            title: 'ALARMiator | Dashboard',
                            navarea: 'basedata',
                            avatarpath: req.session.avatar,
                            name: req.session.name,
                            organizationname: req.session.organization,
                            session: req.session,
                            bdataStaffCount: bdataStaffCount[0].countMembers,
                            bdataStaffCountActive: bdataStaffCountActive[0].countMembers,
                            bdataStatistics: bdataStatistics,
                            birthdays: birthdayList
                        });
                    });
                });
            });
        });
    }
};



