let operationsHelper = require('../../models/operationshelper');

module.exports = {
    getOperationsDashboard: (req, res) => {
        var operationshelper = new operationsHelper();
        operationshelper.getListOfActiveOperations((resultOpCountActive) => {
            var opCountActive = 0;
            if (resultOpCountActive != null) {
                resultOpCountActive = resultOpCountActive.filter(r => r.isTest === 0)
                opCountActive = resultOpCountActive.length;
            }
            operationshelper.getListOfOperations((resultOpCount) => {
                var opCount = 0;
                if (resultOpCount != null) {
                    resultOpCount = resultOpCount.filter(r => r.isTest === 0)
                    opCount = resultOpCount.length;
                }
                operationshelper.getLastOperation((resultLastOperation) => {
                    res.render('operations/dashboard', {
                        title: 'ALARMiator | Einsätze',
                        navarea: 'operations',
                        avatarpath: req.session.avatar,
                        name: req.session.name,
                        organizationname: req.session.organization,
                        session: req.session,
                        opCountActive: opCountActive,
                        opCount: opCount,
                        lastOperation: resultLastOperation
                    });
                })
            })
        })
        
    }
};



