var express = require('express');
var setupwizard = express.Router();

// BASEDATA
// - Dashboard
const {step1} = require('./setupwizard/setupwizard');
const {step1Store} = require('./setupwizard/setupwizard');
const {step2} = require('./setupwizard/setupwizard');
const {step2Store} = require('./setupwizard/setupwizard');
const {step3} = require('./setupwizard/setupwizard');

// define the routes
setupwizard.get('/step1', step1);
setupwizard.post('/step1', step1Store);
setupwizard.get('/step2/:id', step2);
setupwizard.post('/step2/:id', step2Store);
setupwizard.get('/step3', step3);

module.exports = setupwizard;