const Users = require('../models/users');

module.exports = {
    switchTheme: (req, res) => {
        var theme = req.params.theme;
        switch (theme) {
            case 'dark':
                req.session.theme = 'dark';
                break;
            case 'light':
                req.session.theme = 'light';
                break;
            default:
                req.session.theme = 'light';
                break;
        }
        var users = new Users(req.app.logger);
        users.switchThemeTo(req.session.userid, theme, (successTheme) => {
            res.redirect(req.headers.referer);
        })
    }
};