const Operation = require('../models/core/core_operation');

let operation = new Operation();

operation.alarmdate = '31.08.2020';
operation.alarmtime = '09:17:55';
operation.community = '';
operation.district  = '';
operation.gear = 'KBI Info\nFL Feucht FwA-VSA-138-01\nFL Feucht 138-23-01\nFL Feucht 138-40-01\nFL Feucht 138-61-01\nFL Nürnberg 05-40-01\nFF Feucht\nFL Nürnberg GS-Verkehr5';
operation.gkx = '4448774.78';
operation.gky = '5474202.10';
operation.keywordCategory = 'klein';
operation.keywordId = 'T2719';
operation.keywordName = 'Straße reinigen';
operation.keywordRaw = '#T2719#klein#Straße reinigen';
//operation.lat = 49.4425527923745;
operation.location = '';
//operation.lon = 11.267812682979773;
operation.message = 'Fahrtrichtung Amberg, auf der A6, in die Abfahrt zur A3, Ölspur,';
operation.object = '';
operation.operationState = 1;
operation.operationnumber = 'T 5.2 200831 9470';
operation.rawdata = 'A6 Heilbronn > Pilsen 800.5;$AAK 60 AK Nürnberg Ost / AK 61 Altdorf (793,7 bis 800,9)$E$O $D31.08.2020 09:17:55$NT 5.2 200831 9470$X4448774.78$Y5474202.10$C#T2719#klein#Straße reinigen $WTHL 1$P24133, 24435, 24023, 24024$MKBI Info||FL Feucht FwA-VSA-138-01||FL Feucht 138-23-01||FL Feucht 138-40-01||FL Feucht 138-61-01||FL Nürnberg 05-40-01||FF Feucht||FL Nürnberg GS-Verkehr5$FFahrtrichtung Amberg, auf der A6, in die Abfahrt zur A3, Ölspur,';
operation.section = 'AK 60 AK Nürnberg Ost / AK 61 Altdorf (793,7 bis 800,9)';
operation.street = 'A6 Heilbronn > Pilsen 800.5';
operation.subject = 'THL 1';
operation.zveis = '24133, 24435, 24023, 24024';
operation.uuid = '291cf8d0-eb5a-11ea-bf6f-25f1f77c9b38';





console.log('------- original version ------------');
console.log('size: ' + JSON.stringify(operation).length);
console.log(operation);

var reducedOperation = operation.getReduced();
console.log('------- reduced version -------------');
console.log('size: ' + JSON.stringify(reducedOperation).length);
console.log(reducedOperation);
console.log(typeof reducedOperation);