#!/bin/bash
clear
echo -e "\033[32;1mDieses Script installiert den ALARMiator Server auf einem frisch installierten Rasperry PI\033[0m"
echo "--------------------"
echo -e "Bitte geben Sie IHren GitHub Usernamen ein:"
read githubUser
echo -e "Bitte geben Sie Ihr GitHub Passwort ein:"
read githubPassword
githubUser=$(echo -n "$githubUser" | od -An -tx1 | tr ' ' % | xargs printf "%s")
githubPassword=$(echo -n "$githubPassword" | od -An -tx1 | tr ' ' % | xargs printf "%s")

TARGETDIR=$HOME/ALARMiator

echo -e "\033[32;1mUpdate Packetlisten"
sudo apt-get -y update
sudo apt-get -y upgrade
echo -e "\033[32;1minstalliere Phython2"
sudo apt-get -y install python2
echo -e "\033[32;1minstalliere SQLite"
sudo apt-get -y install sqlite3
echo -e "\033[32;1minstalliere GhostScript"
sudo apt-get -y install ghostscript libgs-dev
sudo mkdir /usr/lib/x86_64-linux-gnu/
sudo ln -s /usr/lib/arm-linux-gnueabihf/libgs.so /usr/lib/x86_64-linux-gnu/libgs.so
echo -e "\033[32;1minstalliere Cups Libs"
sudo apt install libcups2-dev
echo -e "\033[32;1minstalliere NodeJS"
echo -e "\033[32;1mhinzufügen des NodeJS LTS Repository zum apt cache \033[0m"
curl -sL https://deb.nodesource.com/setup_12.x | sudo bash -
echo -e "\033[32;1minstallieren NodeJS über apt \033[0m"
sudo apt-get install -y nodejs
echo -e "\033[32;1minstallieren Compiler Tools \033[0m"
sudo apt-get -y install gcc g++ make
echo -e "\033[32;1minstallieren von Git \033[0m"
sudo apt-get -y install git
echo -e "\033[32;1mInstalliere ALARMiator aus Git-Repository \033[0m"

mkdir -p $TARGETDIR
cd $TARGETDIR
git clone https://${githubUser}:${githubPassword}@github.com/BoxSo/ALARMiator-Server.git $TARGETDIR 
echo -e "\033[32;1mInstalliere benötigte Pakete aus Git \033[0m"
# Needs to be defined
echo -e "\033[32;1mInstalliere npm Pakete \033[0m"
npm install
