# OpenFireMap

## Intro

[OpenStreetMap](http://www.openstreetmap.org) ist eine Karte, welche von jedem frei bearbeitet, erweitert und verwendet werden kann. So können z.B. auch Hydranten oder andere Feuerwehr interessante Daten hinterlegt werden. 

<img src="./openfiremap.png" height="400px">

[OpenFireMap](http://www.openfiremap.de/?zoom=17&lat=49.49609&lon=11.54844&layers=B0000T) ist ein Service, welcher diese feuerwehrrelevanten Daten abruft und in einem Overlay zur Verfügung stellt. Diese Daten werden einmal wöchentlich aktualisiert.

Dieses Overlay nutzt ALARMiator an verschiedenen Stellen, wie z.B. auch in der App. Somit hat jeder App Nutzer die einfache Möglichkeit diese hilfreichen Daten während eines Einsatzes abzurufen und sieht auf einem Blick wo in der Nähe ein Hydrant ist.

<img src="./openfiremap-app.jpeg" height="400px">

Das klingt jetzt alles schön und gut, aber diese Daten müssen eben auch eingepflegt werden. Dieses Dokument zeigt Wege wie man Hydranten einfach eintragen kann.

## How To
### Vorraussetzungen
- Account bei [OpenStreetMap](https://www.openstreetmap.org/user/new)

### Variante 1 - Browser - OsmHydrant
Diese Variante zielt darauf ab, dass man die Hydranten-Positionen kennt und z.B. in einer anderen Form vorhanden sind. 

- Bei [OsmHydrant](https://www.osmhydrant.org/de/) mit dem OpenStreetMap-Account einloggen
- Links ist eine Toolbar mit Hydranten, Saugstellen, Wassertanks
- Auf das gewünschte Objekt klicken und auf der Karte positionieren
- Im nächsten Schritt auf Speichern drücken, es können nun zusätzliche Daten eingetragen werden (Art, Bezeichnung, Durchfluss etc.)
- Abschließend speichern
- Das eingefügte Objekt erscheint nun beim nächsten Daten Update in der Karte

### Variante 2 - Android - FireYak-Wasserentnahmestellen
Diese Variante zielt darauf ab, wenn man an der Wasserentnahmestelle vorort ist. Über die GPS-Position durch das Handy kann der Hydrant platziert werden ohne das es händisch über eine Karte gemacht wird.

- App [FireYak](https://play.google.com/store/apps/details?id=at.jst.fireyak&hl=de&gl=US) aus den PlayStore herunterladen
- Mit dem OpenStreetMap-Account einloggen
- Auf den Button links oben drücken und im Menü auf `Mapping` drücken
- Es erscheint eine Art Fadenkreuz, dieses lässt sich mit dem `Auf eigene Position zentrieren`-Button links unten, auf die eigene Position bewegen
- Auf das Fadenkreuz tippen, dann erscheint ein Popop
- Auf das Disketten Symbol drücken
- Jetzt können auch hier zusätzliche Daten eingetragen werden
- Speichern drücken, sobald man fertig
- Beachte: Der Hydrant erscheint im Normalfall nicht direkt in der App, also nicht beirren lassen und erneut eintragen! Solange keine Fehlermeldung auftaucht passt alles :)