---
id: welcome
title: Willkommen
author: Jens Dinstühler
author_title: Full Stack Developer
author_url: https://github.com/boxson
author_image_url: https://avatars1.githubusercontent.com/u/3858285?s=460&v=4
tags: [alarmiator, projekt]
---

# Startschuss

Jedes Projekt benötigt möglichst von Anfang an eine gute Dokumentation. Anfangs habe nur ich an ALARMiator entwickelt, was eine umfangreiche Dokumentation nicht erforderte.
Eine reine Beschreibung des Quellcodes und technischer Zusammenhänge schien ausreichen. Nun - ein Jahr später - wächst das Projektteam und es ergeben sich Fragen zu "wie ist das umgesetzt", "ist das so gewollt oder ein Fehler". 

Spätestens jetzt war es Zeit, eine Dokumentation für das Projekt ALARMiator herzustellen. 

## Zielgruppen

Die Dokumentation soll sich an drei verschiedene Zielgruppen richten:
- Anwender
- Admininstratoren
- Entwickler

Jeder, der an ALARMiator entwickelt, darf auch direkt in der Dokumentation Erweiterungen vornehmen. 

## Technische Basis für die Dokumentation

Die Anforderungen an ein Werkzeug zur Dokumentation des Projektes sind umfangreich. 

- Einfach zu bedienen
- Generierung einer statisch nutzbaren Dokumentation (ohne extra Server / Service)
- Versionsverwaltung in Git, wie auch das gesamte ALARMiator Projekt
- Funktional erweiterbar, um eventuelle spätere Anforderungen zu integrieren

Die Auswahl unterschiedlicher Open Source Tools fiel am Ende auf "docusaurus" in der Version 2.


