/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table feedbackStates in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    await queryInterface.bulkInsert('feedbackStates', 
      [
        {
          id: 1, 
          stateLabel: 'komme', 
          state: 1, 
          stateColor: '#00ff00'
        },
        {
          id: 2, 
          stateLabel: 'komme nicht',
          state: 1,
          stateColor: '#ff0000'
        }
      ]
    );
  }

};