/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description adds order number to table feedbackStates in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    queryInterface.describeTable("feedbackStates")
    .then(async function () {
      await queryInterface.sequelize.query(`UPDATE feedbackStates SET 'order' = 1 WHERE id = 1`);
      await queryInterface.sequelize.query(`UPDATE feedbackStates SET 'order' = 2 WHERE id = 2`);
      await queryInterface.sequelize.query(`UPDATE feedbackStates SET 'order' = 3 WHERE id = 0`);
    });
  }
};