/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table accessEndpointsStore in coredatabase
 * 
 */


 'use strict';

 const { Sequelize } = require('sequelize');
 
 module.exports = {
   up: async (queryInterface) => {
     await queryInterface.bulkInsert('accessEndpointsStore', 
       [
         // General
         {
           id: 1,
           accessGroup: 1,
           alias: 'loginwebui', 
           title: 'Anmeldung Verwaltungsoberfläche',
           description: 'Benutzer darf sich an der Weboberfläche anmelden',
           grantType: 'GRANT'
         },
         {
           id: 2,
           accessGroup: 1,
           alias: 'passwordchange', 
           title: 'Passwortänderung',
           description: 'Benutzer dieser Rolle dürfen das eigene Passwort ändern',
           grantType: 'GRANT'
         },
       ]
     );
   }
 };