/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description Adds a new column "colorBg" to assets_states table
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
  up: async (queryInterface) => {
    queryInterface.describeTable("assets_states")
      .then(async function () {
        await queryInterface.sequelize.query('UPDATE assets_states SET colorFg = "#ffffff", colorBg = "#04B404" WHERE name = "aktiv"');
        await queryInterface.sequelize.query('UPDATE assets_states SET colorFg = "#ffffff", colorBg = "#FFBF00" WHERE name = "Wartung ausstehend"');
        await queryInterface.sequelize.query('UPDATE assets_states SET colorFg = "#ffffff", colorBg = "#D7DF01" WHERE name = "in Wartung"');
        await queryInterface.sequelize.query('UPDATE assets_states SET colorFg = "#ffffff", colorBg = "#D7DF01" WHERE name = "in Wartung extern"');
        await queryInterface.sequelize.query('UPDATE assets_states SET colorFg = "#ffffff", colorBg = "#DF3A01" WHERE name = "defekt"');
        await queryInterface.sequelize.query('UPDATE assets_states SET colorFg = "#ffffff", colorBg = "#6E6E6E" WHERE name = "ausgesondert"');
      });
  }
};