/**
 * Migration Coredatabase
 * 
 * @autor Jens Dinstühler
 * @description prefills table reportsStore in coredatabase
 * 
 */


'use strict';

const { Sequelize } = require('sequelize');

module.exports = {
    up: async (queryInterface) => {
        await queryInterface.bulkInsert('reportsStore',
            [
                // General
                {
                    id: 1,
                    namespace: 'respiratory',
                    type: 'email',
                    name: 'Bericht ablaufende G26.3',
                    alias: 'expiredRespiratoryExaminations',
                },
                {
                    id: 2,
                    namespace: 'assets',
                    type: 'email',
                    name: 'Bericht anstehende Wartungen Inventar',
                    alias: 'expiringMaintenanceDates',
                }
            ]
        );
    }
};