var qrcodeGenerator = require('qrcode-svg');

class qrcode {
  // Constructor
  constructor(alogger) {
    // always initialize all instance properties
    this.logger = alogger;
  }

  // Helper
  generateQrCodeToFileDestination(payload, filedestination, callback) {
    var qrcode = new qrcodeGenerator({
      content: payload,
      padding: 4,
      width: 256,
      height: 256,
      color: "#000000",
      background: "#ffffff",
      ecl: "M",
    });

    qrcode.save(filedestination, function(error) {
      if (error) {
        console.log(error);
        callback(error);
      } else {
        console.log("Done!");
        callback(false);
      }
    });
  }

  qrCodeFileFullPath(id) {
    var returnValue = 'public/assets/img/hydrants/qrcodes/' + this.qrCodeFileName(id);
    return returnValue;
  }

  qrCodeFileName(id) {
      var returnValue = id + '.svg';
      return returnValue;
  }

  qrCodeUrl(id) {
      var returnValue = '/assets/img/hydrants/qrcodes/' + this.qrCodeFileName(id);
      return returnValue;
  }
  
}
  
  // export the class
  module.exports = qrcode;
  