
        var geocoder;
        var map;
        function initializeGoogleMap(lat, lon, homelat, homelon) {

            var styles = [{"featureType": "landscape", "stylers": [{"saturation": -100}, {"lightness": 65}, {"visibility": "on"}]}, {"featureType": "poi", "stylers": [{"saturation": -100}, {"lightness": 51}, {"visibility": "simplified"}]}, {"featureType": "road.highway", "stylers": [{"saturation": -100}, {"visibility": "simplified"}]}, {"featureType": "road.arterial", "stylers": [{"saturation": -100}, {"lightness": 30}, {"visibility": "on"}]}, {"featureType": "road.local", "stylers": [{"saturation": -100}, {"lightness": 40}, {"visibility": "on"}]}, {"featureType": "transit", "stylers": [{"saturation": -100}, {"visibility": "simplified"}]}, {"featureType": "administrative.province", "stylers": [{"visibility": "off"}]}, {"featureType": "water", "elementType": "labels", "stylers": [{"visibility": "on"}, {"lightness": -25}, {"saturation": -100}]}, {"featureType": "water", "elementType": "geometry", "stylers": [{"hue": "#ffff00"}, {"lightness": -25}, {"saturation": -97}]}];
            geocoder = new google.maps.Geocoder();
            var latlng = new google.maps.LatLng(lat, lon);
            var latlngHome = new google.maps.LatLng(homelat, homelon);

            var mapOptions = {
                zoom: 19,
                mapTypeId: 'hybrid',
                disableDefaultUI: true,
                center: latlng
            }
            map = new google.maps.Map(document.getElementById('map'), mapOptions);
            
            // Instantiate a directions service.
            directionsService = new google.maps.DirectionsService,
            directionsDisplay = new google.maps.DirectionsRenderer({
                map: map
            })
            markerB = new google.maps.Marker({
                position: latlng,
                title: "Einsatzstelle",
                label: "B",
                map: map
            });
        }

        function calculateAndDisplayRoute(directionsService, directionsDisplay, pointA, pointB) {
            directionsService.route({
              origin: pointA,
              destination: pointB,
              travelMode: google.maps.TravelMode.DRIVING
            }, function(response, status) {
              if (status == google.maps.DirectionsStatus.OK) {
                directionsDisplay.setDirections(response);
              } else {
                window.alert('Directions request failed due to ' + status);
              }
            });
          }
