module.exports = {
    getOutboundList: (req, res) => {
        req.app.logger.debug('ROUTES-OUTBOUND | loading outboundlist page');
        let query = "SELECT * FROM `outboundjobs` ORDER BY id ASC"; // query database to get all the users

        // execute query
        db.query(query, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-OUTBOUND | error loading outbound jobs list from database');
                res.redirect('/admin/outbound/list');
            }
            res.render('admin/outbound.ejs', {
                title: 'ALARMiator | Smartphones',
                navarea: 'admin',
                avatarpath: req.session.avatar,
                name: req.session.name,
                organizationname: req.session.organization,
                outboundjobs: result
            });
        });
    },
    editOutboundPage: (req, res) => {
        let outboundId = req.params.id;
        let query = "SELECT * FROM `outboundjobs` WHERE id = '" + outboundId + "' ";
        db.query(query, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-OUTBOUND | error loading outbound job with id ' + outboundId + ' from database');
                return res.status(500).send(err);
            }
            res.render('admin/outbound_edit.ejs', {
                title: 'Edit  Outboundjob',
                navarea: 'admin',
                avatarpath: req.session.avatar,
                name: req.session.name,
                organizationname: req.session.organization,
                outboundjobs: result[0],
                message: ''
            });
        });
    },
    editOutbound: (req, res) => {
        let outboundId = req.body.id;
        let name = req.body.name;
        let configKey = req.body.configKey;
        let description = req.body.description;
        let state = req.body.state;
        
        let query = "UPDATE `outboundjobs` SET `name` = '" + name + 
                                            "', `configKey` = '" + configKey + 
                                            "', `description` = '" + description + 
                                            "', `state` = " + state + " " + 
                                            "' WHERE `outboundjobs`.`id` = " + outboundId;
        db.query(query, (err, result) => {
            if (err) {
                req.app.logger.error('ROUTES-OUTBOUND | error updating outbound job with id ' + outboundId + ' in database');
                return res.status(500).send(err);
            }
            res.redirect('/admin/outbound/list');
        });
    }
};