const fs = require('fs');

// MARKER_IMAGE_BASE64_ISSUE (is this still used?)
module.exports = {
    addUserPage: (req, res) => {
        res.render('add-user.ejs', {
            title: 'ALARMiator',
            message: ''
        });
    },
    addUser: (req, res) => {
        if (!req.files) {
            return res.status(400).send("No files were uploaded.");
        }

        let message = '';
        let firstname = req.body.firstname;
        let lastname = req.body.lastname;
        let position = req.body.position;
        let telephone = req.body.telephone;
        let username = req.body.username;
        let uploadedFile = req.files.image;
        let image_name = uploadedFile.name;
        let fileExtension = uploadedFile.mimetype.split('/')[1];
        image_name = username + '.' + fileExtension;

        let usernameQuery = "SELECT * FROM `users` WHERE username = '" + username + "'";

        db.query(usernameQuery, (err, result) => {
            if (err) {
                return res.status(500).send(err);
            }
            if (result.length > 0) {
                message = 'Username already exists';
                res.render('add-user.ejs', {
                    message,
                    title: 'Welcome to Socka | Add a new user'
                });
            } else {
                // check the filetype before uploading it
                if (uploadedFile.mimetype === 'image/png' || uploadedFile.mimetype === 'image/jpeg' || uploadedFile.mimetype === 'image/gif') {
                    // upload the file to the /public/assets/img directory
                    uploadedFile.mv(`public/assets/img/${image_name}`, (err ) => {
                        if (err) {
                            return res.status(500).send(err);
                        }
                        // send the user's details to the database
                        let query = "INSERT INTO `users` (firstname, lastname, position, telephone, image, username) VALUES ('" +
                            firstname + "', '" + lastname + "', '" + position + "', '" + telephone + "', '" + image_name + "', '" + username + "')";
                        db.query(query, (err, result) => {
                            if (err) {
                                return res.status(500).send(err);
                            }
                            res.redirect('/users');
                        });
                    });
                } else {
                    message = "Invalid File format. Only 'gif', 'jpeg' and 'png' images are allowed.";
                    res.render('add-user.ejs', {
                        message,
                        title: 'Welcome to Socka | Add a new user'
                    });
                }
            }
        });
    },
    editUserPage: (req, res) => {
        console.log('editUserPage');
        let userId = req.params.id;
        let query = "SELECT * FROM `users` WHERE id = '" + userId + "' ";
        db.query(query, (err, result) => {
            if (err) {
                return res.status(500).send(err);
            }
            var user = result[0];
            groupsQuery = "SELECT * FROM `groups`";
            db.query(groupsQuery, (errGroups, resultGroups) => {
                if (errGroups) {
                    return res.status(500).send(errGroups);
                }
                res.render('edit-user.ejs', {
                    title: 'Edit  user',
                    user: user,
                    groups: resultGroups,
                    message: ''
                });
            });
        });
    },
    editUser: (req, res) => {
        let userId = req.params.id;
        let firstname = req.body.firstname;
        let lastname = req.body.lastname;
        let position = req.body.position;
        let telephone = req.body.telephone;

        let query = "UPDATE `users` SET `firstname` = '" + firstname + "', `lastname` = '" + lastname + "', `position` = '" + position + "', `telephone` = '" + telephone + "' WHERE `users`.`id` = '" + userId + "'";
        db.query(query, (err, result) => {
            if (err) {
                return res.status(500).send(err);
            }
            res.redirect('/users');
        });
    },
    deleteUser: (req, res) => {
        let userId = req.params.id;
        let getImageQuery = 'SELECT image from `users` WHERE id = "' + userId + '"';
        let deleteUserQuery = 'DELETE FROM users WHERE id = "' + userId + '"';

        db.query(getImageQuery, (err, result) => {
            if (err) {
                return res.status(500).send(err);
            }

            let image = result[0].image;

            fs.unlink(`public/assets/img/${image}`, (err) => {
                if (err) {
                    return res.status(500).send(err);
                }
                db.query(deleteUserQuery, (err, result) => {
                    if (err) {
                        return res.status(500).send(err);
                    }
                    res.redirect('/users');
                });
            });
        });
    }
};