const CoreCron = require('../models/core/core_cron.js');

var cron = new CoreCron(null);

cron.startCronManager();

cron.startJob(
    'maintenance',
    '*/1 * * * *',
    function () {
        console.log('ran job');
        this.emit('event_maintenance', 'maintenance');
    },
    null
);

cron.on('event_maintenance', (title) => {
    cron.log('CORE | CRON | EVENT | ' + title + ' triggered now');
})
