const EventEmitter = require('events');
const { straightThroughStringTask } = require('simple-git/src/lib/tasks/task');

class InboundEmail extends EventEmitter {

    constructor() {
        super();
    }

    set seqno(seqno) {
        this._seqno = seqno;
    }
    get seqno() {
        return this._seqno;
    }

    set from(from) {
        this._from = from;
    }
    get from() {
        return this._from ;
    }

    set fromName(fromName) {
        this._fromName = fromName;
    }
    get fromName() {
        return this._fromName;
    }


    set to(to) {
        this._to = to;
    }
    get to() {
        return this._to;
    }

    set subject(subject) {
        this._subject = subject;
    }
    get subject() {
        return this._subject;
    }

    set date(date) {
        this._date = date;
    }
    get date() {
        return this._date;
    }

    set bodyText(bodyText) {
        this._bodyText = bodyText;
    }
    get bodyText() {
        return this._bodyText;
    }

    set bodyHtml(bodyHtml) {
        this._bodyHtml = bodyHtml;
    }
    get bodyHtml() {
        return this._bodyHtml;
    }

    set bodyTextAsHtml(bodyTextAsHtml) {
        this._bodyTextAsHtml = bodyTextAsHtml;
    }
    get bodyTextAsHtml() {
        return this._bodyTextAsHtml;
    }

    set attachments(attachment) {
        this._attachments = attachments;
    }
    get attachments() {
        return this._attachments;
    }

    set allowedFrom(allowedFrom) {
        this._allowedFrom = allowedFrom;
    }
    get allowedFrom() {
        return this._allowedFrom;
    }

    set allowedTo(allowedTo) {
        this._allowedTo = allowedTo;
    }
    get allowedTo() {
        return this._allowedTo;
    }

    set attachmentCount(attachmentCount) {
        this._attachmentCount = attachmentCount;
        if (this._attachmentCount > 0) {
            this._hasAttachments = true;
        } else {
            this._hasAttachments = false;
        }
    }
    get attachmentCount() {
        return this._attachmentCount;
    }

    set hasAttachments(hasAttachments) {
        this._hasAttachments = hasAttachments;
    }
    get hasAttachments() {
        return this._hasAttachments;
    }

}

module.exports = InboundEmail;