let labelmake = require('labelmake');
let fs = require('fs');

(async () => {
  
  const basePdf = fs.readFileSync("masterlayout.pdf")
  const template = {
	basePdf,
	"schemas": [
		{
			"reportTitle": {
				"type": "text",
				"position": {
					"x": 61.55,
					"y": 12.87
				},
				"width": 136.49,
				"height": 4.68,
				"alignment": "left",
				"fontSize": 11,
				"characterSpacing": 0,
				"lineHeight": 1,
				"fontColor": "#ff0000"
			},
			"createdAt": {
				"type": "text",
				"position": {
					"x": 61.92,
					"y": 17.99
				},
				"width": 135.01,
				"height": 4.61,
				"alignment": "left",
				"fontSize": 10,
				"characterSpacing": 0,
				"lineHeight": 1
			},
			"qrcode": {
				"type": "qrcode",
				"position": {
					"x": 176.22,
					"y": 31.76
				},
				"width": 20.96,
				"height": 20.96
			}
		}
	]
};
  const inputs = [{"reportTitle":"HLF-20/16","createdAt":"24.02.2021 - 14:40 Uhr","qrcode":"http://alarmiatorprod.ddns.net:5000/asset/123"}];
  const pdf = await labelmake({ template, inputs });
  // Node
  fs.writeFileSync('output.pdf', pdf);
  // Browser
  // const blob = new Blob([pdf.buffer], { type: "application/pdf" });
  // document.getElementById("iframe").src = URL.createObjectURL(blob);
})();

