const PDF = require('../models/pdf');

let pdf = new PDF();

let textOptions = {
    font: '',
    fontSize: 12,
    color: 0x303030,
    lineHeight: 1.15,
    textAlign: 'left',
    underline: false,
    strikethrough: false,
    link: '',
    destination: '',
    goTo: ''
}

pdf.initialize();
pdf.addHeader();
pdf.setOrganizationLogo('../public/assets/img/wappen.jpg');

pdf.addText('Mit diesem Dokument erhälst Du Deine Benutzerdaten für ALARMiator. Bitte behandle diese Daten vertraulich. Du kannst die Zugangsdaten entweder in der ALARMiator Mobile App per Hand eingeben, oder den QR-Code auf diesem Dokument innerhalb der App einscannen.', textOptions);
pdf.addBr();
pdf.addBr();
pdf.addImage('qrcode.jpeg', 0, -10, 100, 'center');
pdf.addText('Folgend findest Du die für Deinen Zugang gespeicherten Daten aufgelistet: ', textOptions);
pdf.addBr();
pdf.addBr();
pdf.addBr();

pdf.addTable([200, 350]);
pdf.addTableHeader(['Information', '---']);
pdf.addTableRow(['Organisation', 'Feuerwehr Reichenschwand']);
pdf.addTableRow(['Name', 'Jens Dinstühler']);
pdf.addTableRow(['Straße', 'Am Saueracker 36']);
pdf.addTableRow(['Ort', '91244 Reichenschwand']);
pdf.addTableRow(['Telefon', '0911-3000000']);
pdf.addTableRow(['Mobil', '0151-22378152']);
pdf.addTableRow(['', '']);
pdf.addTableRow(['Benutzername', 'admin']);
pdf.addTableRow(['Passwort', 'TestTheBest']);

pdf.addFooter();


pdf.writeDocToFile('class.pdf');