const pdf = require('pdfjs');
const fs = require('fs');

const doc = new pdf.Document({
    padding: 10
})

// Add header
const header = doc.header()
header.text('Zugangsdaten ALARMiator Mobile App');

const src = fs.readFileSync('qrcode.jpeg');
const img = new pdf.Image(src)
doc.image(img)

// adds a table
const table = doc.table({
    widths: [256, 256],
    borderHorizontalWidth: 1
})

const row = table.row()
row.cell('Cell 1')
row.cell('Cell 2')

// adds a footer
const footer = doc.footer()
footer.text('ALARMiator Version 1.0.1 - Erzeugt von Jens Dinstühler - 21.09.2020 | 17:42 Uhr')

// Writes PDF Document
doc.pipe(fs.createWriteStream('outputqr.pdf'))



// render something onto the document
doc.end()